OpenProjectDialog Class Reference

`#include <OpenProjectDialog.h>`

Inheritance diagram for OpenProjectDialog:

## Public Types

enum | OpenMode { NewProject, NewFolder }

## Public Member Functions

OpenMode | openMode () const
| OpenProjectDialog (QWidget *parent=0, bool extended=true, Qt::WFlags flags=0)
Public Member Functions inherited from ExtensibleFileDialog
| ExtensibleFileDialog (QWidget *parent=0, bool extended=true, Qt::WFlags flags=0)
| Constructor. More...
bool | isExtendable ()
| Tells weather the dialog has a valid extension widget. More...
bool | isExtended ()
void | setEditableFilter (bool on=true)
| Enables/Disables editing of the file type filter. More...
void | setExtended (bool extended)
| Toggle extension widget on/off. More...
void | setExtensionWidget (QWidget *extension)
| Set the extension widget to be displayed when the user presses the toggle button. More...
void | setExtentionToggleButtonText (const QString &text)
| Sets the text to be displayed in the toggle button. More...

## Protected Slots

void | closeEvent (QCloseEvent *)
void | updateAdvancedOptions (const QString &filter)
| Update which options are visible and enabled based on the output format. More...

## Private Attributes

QComboBox * | d_open_mode

## Additional Inherited Members

Protected Attributes inherited from ExtensibleFileDialog
QPushButton * | d_extension_toggle
| Button for toggling display of extension on/off. More...

## Member Enumeration Documentation

enum OpenProjectDialog::OpenMode

Enumerator
NewProject |
NewFolder |

## Constructor & Destructor Documentation

OpenProjectDialog::OpenProjectDialog | ( | QWidget * | parent = `0`,
|  | bool | extended = `true`,
|  | Qt::WFlags | flags = `0`
| ) |  |

References d_open_mode, ApplicationWindow::d_open_project_filter, ApplicationWindow::excelImportMethod(), ApplicationWindow::LocalExcelInstallation, ApplicationWindow::LocalOpenOffice, ExtensibleFileDialog::setExtensionWidget(), and updateAdvancedOptions().

## Member Function Documentation

void OpenProjectDialog::closeEvent | ( | QCloseEvent * | e | ) |

protected slot

References ApplicationWindow::d_extended_open_dialog, ApplicationWindow::d_open_project_filter, and ExtensibleFileDialog::isExtendable().

OpenMode OpenProjectDialog::openMode | ( |  | ) | const

inline

References d_open_mode.

Referenced by ApplicationWindow::open().

void OpenProjectDialog::updateAdvancedOptions | ( | const QString & | filter | ) |

protected slot

Update which options are visible and enabled based on the output format.

References ExtensibleFileDialog::d_extension_toggle.

Referenced by OpenProjectDialog().

## Member Data Documentation

QComboBox* OpenProjectDialog::d_open_mode

private

Referenced by openMode(), and OpenProjectDialog().

The documentation for this class was generated from the following files:

- qtiplot/src/core/OpenProjectDialog.h
- qtiplot/src/core/OpenProjectDialog.cpp